<?php
//   dle   xzengine

$fromDir = './from/';

$skin = file_get_contents('skin.tpl');
$message = '';

//       from
$dirList = '';
$handle = opendir($fromDir); 
while (false !== ($file = readdir($handle)))
{
	if($file == '.' || $file == '..')
		continue;	

	if(is_dir($fromDir.$file))
		$dirList .= ' <option value="'.$file.'">'.$file.'</option>';	

}
closedir($handle);


//////////////////////////////////////////////////
//          
function CopyRecursive($from, $to, $level = 0)
{	
	$handle = opendir($from);
	while (false !== ($file = readdir($handle)))
	{
		if($file == '.' || $file == '..')
			continue;	
			
		if(is_dir($from.$file))
		{	
			$dirName = $to.'/'.$file.'/';
			mkdir($dirName);
			CopyRecursive($from.$file.'/', $dirName, $level + 1);
			continue;
		}

		//     
		if($level == 0)
			continue;
		
		// only files
		if($file == '.htaccess')
			continue;
		
				
		// copy files				
		$fileName = $to.$file.'/';		
		copy($from.'/'.$file, $fileName);
	}
}

//   
function StartConvert($from, $to)
{
	if(!is_dir($to))
		mkdir($to);
	
	if(!is_dir($to.'templates'))
		mkdir($to.'templates');		

	//   modules
	$modulesList = array();
	$ModulesDir = './modules/';
	$handle = opendir($ModulesDir); 
	while (false !== ($file = readdir($handle)))
	{
		if($file == '.' || $file == '..')
			continue;	

		$includePath = $ModulesDir.$file.'/'.$file.'.php';			
		require_once($includePath);
		
		//     ,   PHP,
		//       .
		$className = 'plugin_'.$file;
		$modulesList[] = new $className($ModulesDir.$file, $from, $to);			

	}
	closedir($handle);
	
	//   
	CopyRecursive($from, $to);
			
	$message = ' , <a href="'.$to.'" target="blank">    </a>';
	
	return $message;
}




//    
if(isset($_POST['skinname']))
{	

	$fromDir = './from/'.$_POST['skinname'].'/';
	$toDir = './to/'.$_POST['skinname'].'/';
	
	$message = StartConvert($fromDir, $toDir);
}

//    
if(isset($_GET['all']))
{	
	$fromDir = './from/';
	$toDir = './to/';
	$handle = opendir($fromDir); 
	while (false !== ($file = readdir($handle)))
	{
		if($file == '.' || $file == '..')
			continue;	
				
		$path = $fromDir.$file.'/';
		if(is_dir($path))
		{	
			$templateTo = $toDir.$file.'/';
			$message .= StartConvert($path, $templateTo).'<br>';
		}
	}
	closedir($handle);
}

// {message}
$skin = str_replace('{message}', $message, $skin);

// {skinlist}
$skin = str_replace('{skinlist}', $dirList, $skin);

echo $skin;
	
?>