<?php

//shortstory.tpl -> news.tpl
class plugin_fullstory
{
	public function __construct($path, $fromDir, $toDir)
	{
		$template = @file_get_contents($fromDir.'fullstory.tpl');
		if($template === false)
			return;
		// {THEME} -> {skin}
		$template = str_replace('{THEME}', '{skin}', $template);		

		// {title} -> {newsname}
		$template = str_replace('{title}', '<a href="{descrlink}">{newsname}</a>', $template);
		
		// {short-story} -> {newsdescr}
		$template = str_replace('{full-story}', '{newsshowfull}', $template);			
		
		// {author} -> {newsautor}
		$template = str_replace('{author}', '{newsautor}', $template);		

		// {date} -> {newsdate}
		$template = str_replace('{date}', '{newsdate}', $template);		
		
		// {tags} -> {keywords}
		$template = str_replace('{tags}', '{keywords}', $template);	
		
		//  
		file_put_contents($toDir.'/templates/newsshowfull.tpl', $template);	
	}
}


?>