<?php

// main.tpl -> index.tpl

class plugin_main
{
	public function __construct($path, $fromDir, $toDir)
	{
		$template = @file_get_contents($fromDir.'main.tpl');
		if($template === false)
			return;
		// {headers}
		$header = '<!--  -->
		<title>{title}</title>
		<meta name="keywords" content="{keywords}" />
		<meta name="description" content="{title}" />
		<meta name="generator" content="XZengine v.{versionnumber}" />
		<meta http-equiv="Content-Type" content="text/html; charset=windows-1251" />
		<!-- java script -->
		{javascript}';
		$template = str_replace('{headers}', $header, $template);
			
		// {content}
		//       ,      
		$navigation = @file_get_contents($fromDir.'navigation.tpl');
		if($navigation === false)
			return;
		$navigation = str_replace('{pages}', '{lastpage} {pages} {nextpage}', $navigation);
		$template = str_replace('{content}', "{sitecontent}\n".$navigation, $template);
		
		// {THEME}
		$template = str_replace('{THEME}', '{skin}', $template);
		
		// 
		$endpage = 
'<!--
2005-2007 Powered by xzengine v.{versionnumber} 
   {page_gen_time}  
 {number_sql_queries}   

  :
{debug_log} 
-->';
	
	$template .= $endpage;
		
		//  
		file_put_contents($toDir.'/templates/index.tpl', $template);	
	}
}

?>