<?php

//shortstory.tpl -> news.tpl
class plugin_shortstory
{
	public function __construct($path, $fromDir, $toDir)
	{
		$template = @file_get_contents($fromDir.'shortstory.tpl');
		if($template === false)
			return;
		// {THEME} -> {skin}
		$template = str_replace('{THEME}', '{skin}', $template);		

		// {title} -> {newsname}
		$template = str_replace('{title}', '<a href="{descrlink}">{newsname}</a>', $template);
		
		// {short-story} -> {newsdescr}
		$template = str_replace('{short-story}', '{newsdescr}', $template);			
		
		// {author} -> {newsautor}
		$template = str_replace('{author}', '{newsautor}', $template);		

		// {date} -> {newsdate}
		$template = str_replace('{date}', '{newsdate}', $template);		
		
		// [full-link]... [/full-link]		
		$template = str_replace('[full-link]', '<a href="{newslink}">', $template);
		$template = str_replace('[/full-link]', '</a>', $template);
		
		// {tags} -> {keywords}
		$template = str_replace('{tags}', '{keywords}', $template);	
		
		//  
		file_put_contents($toDir.'/templates/news.tpl', $template);	
		
		//       constlink.tpl    
		file_put_contents($toDir.'/templates/constlink.tpl', $template);	
	}
}


?>