<?php 
//////////////////////////////////////////////////
//   
//    (Nikolaku) xzengine team
//////////////////////////////////////////////////

//   HTML  
function DeleteHTMLTags($text)
{
	$search = array 
		(
			'/<a[^>]*?>(.*?)<\/a>/is',		/**/
			'/<script[^>]*?>(.*?)<\/script>/si'		/*  */
		);
	$replace = array
		(
			'\\1',	/*  */
			' '		/*  */
		);
		
	$text = preg_replace ($search, $replace, $text);

	//   
	$text = ereg_replace("( +)", " ", $text);	
	
	return $text;	
}


//     windows-1251,  
function ConvertEncoding($text, $forceEncoding = 'auto')
{	
	//   
	$convertedText = $text;
	if($forceEncoding == 'auto')
	{	
		$encoding = mb_detect_encoding($convertedText);
		$convertedText = mb_convert_encoding($convertedText, 'Windows-1251', $encoding);
	}
	else
	{
		if($forceEncoding != 'Windows-1251')
			$convertedText = mb_convert_encoding($convertedText, 'Windows-1251', $forceEncoding);
	}
	return $convertedText;
}

/////////////////////////////////////////////////////////
//      <a></a>
function DeleteLinkTags($text)
{	
	//   <a></a> 
	$expression = '/<a[\s\S]*?href=[\s\S]*?>([\s\S]*?)<\/a>/i';
	$ret = preg_replace($expression, "\\1", $text);
	return $ret;
}

/////////////////////////////////////////////////////////
//    
function ParseHTML($html, $regEx, $id, $forseEnc)
{	
	preg_match_all($regEx, ConvertEncoding($html, $forseEnc), $found, PREG_PATTERN_ORDER);
	
	$ret = $found[1][$id];
	$ret = 	DeleteLinkTags($ret);	
	
	return $ret;
}

///////////////////////////////////////////////////////
//    
function ReadConfigFile($path)
{
	$data = file_get_contents($path);
	$returnData = array();
	$configStrings = array();
	//     
	$handle = fopen($path, "r");
	while (!feof($handle))
	{
		$str = fgets($handle);
		$str = trim($str);
		//   
		if(strlen($str) == 0)
			continue;
			
		//   -  
		if($str[0] =='%')
			continue;
				
		$configStrings[] = $str;
	}
	fclose($handle);
	//  
	foreach($configStrings as $val)
	{
		$symbolPos = strpos($val, "=");
		if($symbolPos === false)
			continue;
			
		$namePart = substr($val, 0, $symbolPos - 1);
		$valuePart = substr($val, $symbolPos + 1, strlen($val) - 1);
		//    
		$namePart = trim($namePart);
		$valuePart = trim($valuePart);
		$valuePart = substr($valuePart, 0, strlen($valuePart) - 1);	//      
		
		$returnData[$namePart] = $valuePart;
	}
	return $returnData;		
}

////////////////////////////////////////////////////////
//   
function GetFileExt($filename) 
{
	$commapos = strrpos($filename, '.');
	if($commapos === false)
		return '';
		
	$ext = substr($filename, $commapos + 1, strlen($filename) - 1);
	return $ext;
}
?>