<?php 
//////////////////////////////////////////////////////////////////////////
//   
//    (Nikolaku) xzengine team
//////////////////////////////////////////////////////////////////////////

$versionMax = 1;
$versionMidle = 0;
$versionMin = 2;

//    
global $DisableErrorReporting;
if($DisableErrorReporting)
	error_reporting(0);
	
//    
@set_time_limit(0);

require_once 'rss_php.php'; 
require_once 'common.php'; 
require_once 'settings.php';
require_once 'keywords.php';

define("API_HOME_DIR" ,"../../../modules/textdb/");
define("DB_DIR" ,"../../../admin/backup/");

require_once('../../../config.php');
require_once('../../../modules/database.php');
require_once '../../../modules/textdb/txt-db-api.php';

global $MaxDataBaseNews;
global $EnablePatternDebug;
global $PatternsExt;

//   
$pattrnDIR = './patterns/';

//     
$newID = array();				//    CRC   

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//   $MaxDataBaseNews   ,         
$q = "SELECT * FROM ".DATABASE_TBLPERFIX."news ORDER BY news_id DESC LIMIT ".$MaxDataBaseNews;
$q = AbstractDataBase::Instance()->query($q);

while($line = AbstractDataBase::Instance()->get_row($q))
{	
	$newsTitle = addslashes($line['news_name']);	
	$newID[md5($newsTitle)] = 1;		
}
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//   
echo "RssSnatch : ".$versionMax.".".$versionMidle.".".$versionMin."<br>";

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//     
$RssChannels = array();
$handle = opendir($pattrnDIR); 
while (false !== ($file = readdir($handle)))
{
	if($file == '.' || $file == '..')
		continue;	
	
	if($file == ".htaccess")
		continue;
	
	$path = $pattrnDIR.$file;
	if(!is_file($path))
		continue;
	
	//  
	$ext = GetFileExt($path);
	if($ext != $PatternsExt)
		continue;
	
	//  
	$RssChannels[] = ReadConfigFile($path);	
	
}
closedir($handle);
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

//     
foreach($RssChannels as $val)
{	
	$newsAdedCount = 0;	//  
	$newsSkipCount = 0;	//  
	
	$pattern = $val["Pattern"];	
	$rss = new rss_php();
	$rss->load($val['rssurl']);
	$items = $rss->getItems();

	$currentTime = time();			//   	
	
	//       
	foreach($items as $index => $item)
	{	
		//       
		if($EnablePatternDebug && ($newsAdedCount > 0))
		{	
			$newsSkipCount ++;
			continue;
		}
		//  
		$newsTitle = addslashes(ConvertEncoding($item['title']));
		//  
		$newsAddTime = strtotime($item['pubDate']);	
	
		//        
		if(isset($newID[md5($newsTitle)]))
		{	
			$newsSkipCount ++;
			continue;		
		}
		//    
		$newsLink = $item['link'];
		//    
		$newsShortDescription = DeleteLinkTags(ConvertEncoding($item['description']));
		
		//         
		if($val['ShortNewsSymbolCount'] && ($val['ShortNewsSymbolCount'] > strlen($newsShortDescription)))
		{	
			$newsSkipCount ++;
			continue;		
		}
		// get HTML
		$html = file_get_contents($newsLink);
		$patternID = trim($val['PatternId']);
		$patternID = str_replace("$",'', $patternID);
		//    
		$patternID = $patternID -1;		
		//  
		$enc = 'auto';
		if(isset($val['ForceEncoding']))
			$enc = $val['ForceEncoding'];
		// 	
		$newsFullDescription =  ParseHTML($html, $pattern, $patternID, $enc);
		
		//    
		$getKeywords = new Keywords();
		$keywords = $getKeywords->get_keywords($newsFullDescription);	
				
		
		if($EnablePatternDebug)
		{
			$pattern = file_get_contents("debug.tpl");
			
			// {news_name}
			$pattern = str_replace("{news_name}",$newsTitle, $pattern);
			
			// {news_sh_description}
			$pattern = str_replace("{news_sh_description}",$newsShortDescription, $pattern);
			
			// {news_autor}
			$pattern = str_replace("{news_autor}", $val['WhoAdd'], $pattern);
			
			// {news_full_link}
			$pattern = str_replace("{news_full_link}", $newsLink, $pattern);
			
			// {news_date}
			$pattern = str_replace("{news_date}", $newsAddTime, $pattern);
			
			// {news_fixed}
			$pattern = str_replace("{news_fixed}", 0, $pattern);
			
			// {news_view}
			$pattern = str_replace("{news_view}", $val['HideNews'], $pattern);
			
			// {news_approve}
			$pattern = str_replace("{news_approve}", 1, $pattern);
			
			// {news_showfull}
			$pattern = str_replace("{news_showfull}", $newsFullDescription, $pattern);
			
			// {news_full_or_link}
			$pattern = str_replace("{news_full_or_link}", $val['NewsShowFull'], $pattern);
			
			// {news_category}
			$pattern = str_replace("{news_category}", $val['NewsCathegory'], $pattern);
			
			// {news_keyword}
			$pattern = str_replace("{news_keyword}", $keywords, $pattern);
			
			echo $pattern;
		}
		else
		{
			//     
			$q = "";
			if($val['NewsShowFull'])
				$q = "INSERT INTO ".DATABASE_TBLPERFIX."news (news_name, news_sh_description, news_autor, news_full_link, news_date, news_fixed, news_view, news_approve , news_showfull, news_full_or_link, news_category, news_keyword) VALUES ('".$newsTitle."', '".addslashes($newsShortDescription)."', '".$val['WhoAdd']."', '', '".$newsAddTime."', '0', '".$val['HideNews']."', '1', '".addslashes($newsFullDescription)."', '".$val['NewsShowFull']."', '".$val['NewsCathegory']."', '".$keywords."')";
			else
				$q = "INSERT INTO ".DATABASE_TBLPERFIX."news (news_name, news_sh_description, news_autor, news_full_link, news_date, news_fixed, news_view, news_approve , news_showfull, news_full_or_link, news_category) VALUES ('".$newsTitle."', '".addslashes($newsShortDescription)."', '".$val['WhoAdd']."', '".$newsLink."', '".$newsAddTime."', '0', '".$val['HideNews']."', '1', '', '".$val['NewsShowFull']."', '".$val['NewsCathegory']."', '".$keywords."')";
		
			//   
			AbstractDataBase::Instance()->query($q, false);		
		}
		
		$newsAdedCount ++;
	}
	echo "  <b>".$val['ChanelName']."</b><br>";
	echo " :".count($items)."   () ".$newsAdedCount. ", () ".$newsSkipCount." <br><br>";		
}
?>